Bug

installation upgrade problem with missing version

Summary

open
Nov 14, 2008
Nov 14, 2008 / pixtur
Sep 5, 2011 / ain
 

Attached files

No files uploaded
 

Some Questionsπ

  • Please provide precise version numbers: original version and upgrade version.
  • Some information about the server would also be useful.

Also read:

Thanks for your feedback

Issue report

Block
Always
FreeBSD 6.0-RELEASE-p15, Apache 2.0.55, mysql 5.0.19
0801, 0.0912
2007-05-04
 

6 Comments

guest:solution yet?

7 years ago -

I posted in the other post regarding the failure of the installation program due to it aborting at the site of an existing database. Once again, this is a fresh install.

pixtur:fresh install?

7 years ago

A fresh installation of which version precisely?

guest:Same problem, any idea :( ??

6 years ago -

roceeding...
checking mysql connecting to 'localhost'...GOOD
Connection using mysql_connect SUCCESSFUL
Make sure to not overwrite existing streber-db called 'projects_db'POTENTIAL PROBLEM
DB 'projects_db' already exists
checking version of existing databaseGOOD
Could not query streber-db version. Assuming fresh installation
creating tables...GOOD

add db-version entryFAILED
SQL-Error:
Query error: INSERT into streb_db (id,version,version_streber_required,created) VALUES(1,'0.0803','0.0803',NOW() )

Installation failed
You may find help at the wiki-installation guide

zlion:Solution: Change the structure sql to include the prefix manually

6 years ago

Solution: use Database table prefixes for new installations
  • Edit create_structure_v0.0803.sql
  • Upload it and replace
  • Install again

Here is how to edit the structure sql file:
replace
CREATE TABLE IF NOT EXISTS `
with
CREATE TABLE IF NOT EXISTS `prefix_

Obviously, prefix_ need to be the same as you specified in the installation form.

Wondering why don't you let the Sql class to support table prefix like #__

pixtur:hmm...

6 years ago

Actually the prefix should be added automatically to the before executing the structure.sql-file. Just as you suggested.

Have you tried the latested release candidate?

guest:Very broke

6 years ago -

This bug exists in both the SVN copy and the .0902 installation.

I'm attempting to install a BRAND NEW version and it's giving the same error. It installs the table structure but then completely blows up and doesn't add in the version, the admin or anything else.

This happens no matter if you specify a prefix or not, I have attempted it both ways and it fails completely at this time.

Also, you guys should consider getting an IRC channel. =)